Bug 240717 - Transaction Check Error when trying to install KDE on F7 Test 4
Summary: Transaction Check Error when trying to install KDE on F7 Test 4
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-21 03:16 UTC by Eric Poole
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 13:07:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Poole 2007-05-21 03:16:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:

Installed F7 Test 4 with the default packages including Gnome only (no KDE).  Attempted to use "yum groupinstall "KDE (K Desktop Environment)"" to install KDE, and got the error message:

Transaction Check Error:
file /usr/share/config/kdm conflicts between attempted installs of kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7

Also tried to use "Add/Delete Programs", selecting KDE from Desktop Environments.  Got an error box that says "Error updating software - There were errors encountered in trying to update the software you selected".  Clicked on "Details" and got:

[('file /usr/share/config/kdm conflicts between attempted installs of kde-settings-kdm-3.5-23.fc7 and kdebase-3.5.6-10.fc7',(6,'/usr/share/config/kdm', 0L))]

Ran all of these operations as root.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.  Install F7 Test 4 taking only the default packages
2.  Attempt to install KDE using Add/Remove Programs or the yum command line as above
3.

Actual Results:
Error message appears as described, and the KDE installation fails.

Expected Results:
Message should appear indicating success, and KDE should install.


Additional info:

Comment 1 Ngo Than 2007-05-22 13:07:12 UTC
there're new kdebase/kde-settings in fc7 tree, which fix the conflict problem.
you should pleasse try to update again. Thanks for your report.

Comment 2 Eric Poole 2007-05-22 18:31:57 UTC
Thank you for the fast update.  That appears to have fixed the problem, at 
least I was able to do a complete KDE install.  I am about to do another one so 
we'll see, but I think it is fixed.  Thanks again.



Note You need to log in before you can comment on or make changes to this bug.